### Method

# Peas ExtensionBase get_data_dir

#### Declaration [src]

    gchar*
    peas_extension_base_get_data_dir (
      PeasExtensionBase* extbase
    )

#### Description [src]

Get the path of the directory where the plugin should look for its data files.

Gets property | `Peas.ExtensionBase:data-dir`

#### Return value

Type: `gchar*`

A newly allocated string with the path of the directory where the plugin should look for its data files.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.